Package org.apache.datasketches.hive.tuple

## Class UnionSketchUDAF

- java.lang.Object
- - org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver
  - - org.apache.datasketches.hive.tuple.UnionSketchUDAF

All Implemented Interfaces:
  `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver`, `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`

Direct Known Subclasses:
  `UnionDoubleSummarySketchUDAF`, `UnionDoubleSummaryWithModeSketchUDAF`

    public abstract class UnionSketchUDAF
    extends org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

Generic implementation to be sub-classed with a particular type of Summary

### Nested Class Summary

Nested Classes
`static class` `UnionSketchUDAF.UnionSketchEvaluator<S extends org.apache.datasketches.tuple.Summary>`

### Constructor Summary

Constructors
`UnionSketchUDAF()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `checkExtraArguments​(org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] inspectors)` Override this if your UDF has more arguments
`abstract org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `createEvaluator()` This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.
`org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator` `getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)`

### Methods inherited from class org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver

`getEvaluator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionSketchUDAF

    public UnionSketchUDAF()

### Method Detail

#### getEvaluator

    public org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator getEvaluator​(org.apache.hadoop.hive.ql.udf.generic.GenericUDAFParameterInfo info)
                                                                            throws org.apache.hadoop.hive.ql.parse.SemanticException

Specified by:
  `getEvaluator` in interface `org.apache.hadoop.hive.ql.udf.generic.GenericUDAFResolver2`
Overrides:
  `getEvaluator` in class `org.apache.hadoop.hive.ql.udf.generic.AbstractGenericUDAFResolver`
Throws:
  `org.apache.hadoop.hive.ql.parse.SemanticException`

#### checkExtraArguments

    protected void checkExtraArguments​(org.apache.hadoop.hive.serde2.objectinspector.ObjectInspector[] inspectors)
                                throws org.apache.hadoop.hive.ql.parse.SemanticException

Override this if your UDF has more arguments

Parameters:
  `inspectors` - array of inspectors
Throws:
  `org.apache.hadoop.hive.ql.parse.SemanticException` - if anything is wrong

#### createEvaluator

    public abstract org.apache.hadoop.hive.ql.udf.generic.GenericUDAFEvaluator createEvaluator()

This is needed because a concrete UDAF is going to have its own concrete evaluator static inner class.

Returns:
  an instance of evaluator